Bug 1676999 - Review Request: rogue - The original graphical adventure game
Summary: Review Request: rogue - The original graphical adventure game
Keywords:
Status: POST
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-13 18:20 UTC by Wart
Modified: 2019-02-18 20:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Wart 2019-02-13 18:20:16 UTC
Spec Name or Url: http://www2.kobold.org:88/~wart/fedora/rogue.spec
SRPM Name or Url: http://www2.kobold.org:88/~wart/fedora/rogue-5.4.5-26.fc29.src.rpm
Description: 
Before DOOM, there were the Dungeons of DOOM.  This is the game that started an entire genre.

Comment 1 Wart 2019-02-13 18:20:55 UTC
I am resubmitting rogue as it was retired a few months ago.  The original upstream source has vanished (domain no longer exists), but I found that someone had made a copy of an earlier version on github.  This package is based on these mirrored sources, with patches updated appropriately.  I also included a patch to fix the ncurses build error, as well as the missing setgroups() call.

rpmlint reports the following:

rogue.x86_64: E: setgid-binary /usr/bin/rogue games 2755
rogue.x86_64: E: non-standard-executable-perm /usr/bin/rogue 2755
rogue.x86_64: E: non-standard-dir-perm /var/games/roguelike 775
rogue.x86_64: E: zero-length /var/games/roguelike/rogue54.scr

The odd permissions are used to enable a scoreboard file shared among all users.  A zero-length scoreboard file is installed initially to avoid scoreboard creation errors.

Comment 2 Robert-André Mauchin 🐧 2019-02-17 00:26:02 UTC
export CFLAGS="%{optflags}"
export LDFLAGS="%{?__global_ldflags}"

 → Use %set_build_flags

 - make %{_smp_mflags} → %make_build

 - make install DESTDIR=%{buildroot} → %make_install

 - Use:

Source0:          https://github.com/phs/rogue/archive/v5.4.4/%{name}-5.4.4.tar.gz

 - I don't get why this would be needed:

Requires(post):   coreutils
Requires(post):   desktop-file-utils
Requires(postun): coreutils
Requires(postun): desktop-file-utils



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD 2-clause "Simplified" License", "Expat License", "Unknown
     or generated", "*No copyright* BSD (unspecified)". 49 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/rogue/review-rogue/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 102400 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rogue-
     debuginfo , rogue-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rogue-5.4.5-26.fc30.x86_64.rpm
          rogue-debuginfo-5.4.5-26.fc30.x86_64.rpm
          rogue-debugsource-5.4.5-26.fc30.x86_64.rpm
          rogue-5.4.5-26.fc30.src.rpm
rogue.x86_64: E: setgid-binary /usr/bin/rogue games 2755
rogue.x86_64: E: non-standard-executable-perm /usr/bin/rogue 2755
rogue.x86_64: E: non-standard-dir-perm /var/games/roguelike 775
rogue.x86_64: E: zero-length /var/games/roguelike/rogue54.scr
4 packages and 0 specfiles checked; 4 errors, 0 warnings.

Comment 3 Wart 2019-02-18 17:45:27 UTC
(In reply to Robert-André Mauchin from comment #2)
[...]
>  - I don't get why this would be needed:
> 
> Requires(post):   coreutils
> Requires(post):   desktop-file-utils
> Requires(postun): coreutils
> Requires(postun): desktop-file-utils

These aren't needed. They are leftovers from earlier versions of Fedora.  I've removed them in the files below.

New spec file and src rpm with the requested changes applied:

Spec Name or Url: http://www2.kobold.org:88/~wart/fedora/rogue.spec
SRPM Name or Url: http://www2.kobold.org:88/~wart/fedora/rogue-5.4.5-27.fc29.src.rpm

Comment 4 Robert-André Mauchin 🐧 2019-02-18 20:39:55 UTC
LGTM, package approved.


Note You need to log in before you can comment on or make changes to this bug.